#!/bin/sh

pdir=/run/platform

dodir() {
	for x; do
		test -e "$x" || mkdir -m 755  "$x"
		chmod 755 "$x"
		chsmack -T -a 'System::Shared' "$x"
	done
}

dodir /run/user $pdir $pdir/display $pdir/apis $pdir/apis/ws $pdir/apis/link

dodir /run/platform/debug

spdir=/var/scope-platform
if ! test -e $spdir; then
	mkdir -m 755 $spdir
	chsmack -T -a 'User::App-Shared' $spdir
	chown daemon:daemon $spdir
fi
